/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
 
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JCheckBox; 

/**
 *
 * @author matheus
 */
public class PasswordFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form NewJPanel
     */
    public PasswordFormPanel() {
        initComponents();
        allFields = java.util.Arrays.asList(tfLength, tfDomain);
        allCb = java.util.Arrays.asList(cbUpper, cbLetter, cbNumber, cbSpecial);
    }
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tfDomain = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        cbNumber = new javax.swing.JCheckBox();
        cbLetter = new javax.swing.JCheckBox();
        cbSpecial = new javax.swing.JCheckBox();
        cbUpper = new javax.swing.JCheckBox();
        
        jLabel4 = new javax.swing.JLabel();
        tfLength = new javax.swing.JTextField();

        jLabel1.setText("Password Configuration");

        jLabel2.setText("Domain Name");

        tfDomain.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDomainActionPerformed(evt);
            }
        });

        cbNumber.setText("number");
        cbNumber.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbNumberActionPerformed(evt);
            }
        });

        cbLetter.setText("letter");

        cbSpecial.setText("special characters");

        cbUpper.setText("upper cases");

        

        jLabel4.setText("Password Length");

        tfLength.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLengthActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jLabel1)
                        .addGap(115, 115, 115))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(cbSpecial)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(cbUpper)
                        .addContainerGap())
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(cbNumber)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(43, 43, 43)
                                        .addComponent(jLabel3))
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(187, 187, 187)
                                        .addComponent(cbLetter))))
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel4)
                                    .addComponent(jLabel2))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(tfDomain, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(tfLength, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addContainerGap(54, Short.MAX_VALUE))))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addGap(31, 31, 31)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(tfDomain, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(cbNumber)
                    .addComponent(cbLetter))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel3)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(cbSpecial)
                    .addComponent(cbUpper))
                .addGap(20, 20, 20)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(tfLength, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 21, Short.MAX_VALUE)
                
                .addContainerGap())
        );
    }// </editor-fold>                        

    private void tfDomainActionPerformed(java.awt.event.ActionEvent evt) {                                         
        // TODO add your handling code here:
    }                                        

    private void tfLengthActionPerformed(java.awt.event.ActionEvent evt) {                                         
        // TODO add your handling code here:
    }                                        

    private void cbNumberActionPerformed(java.awt.event.ActionEvent evt) {                                         
        // TODO add your handling code here:
    }                                        
    

    // Variables declaration - do not modify                     
  
    private javax.swing.JCheckBox cbLetter;
    private javax.swing.JCheckBox cbNumber;
    private javax.swing.JCheckBox cbSpecial;
    private javax.swing.JCheckBox cbUpper;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JTextField tfDomain;
    private javax.swing.JTextField tfLength;
    // End of variables declaration
    
    private java.util.List<javax.swing.JComponent> allCb;
    private java.util.List<javax.swing.JComponent> allFields;
    public JLabel getJLabel1(){
        return this.jLabel1;
    }
    public void setJLabel1(JLabel jLabel1){
        this.jLabel1 = jLabel1;
    }
    public JLabel getJLabel2(){
        return this.jLabel2;
    }
    public void setJLabel2(JLabel jLabel2){
        this.jLabel2 = jLabel2;
    }
    public JLabel getJLabel3(){
        return this.jLabel3;
    }
    public void setJLabel3(JLabel jLabel3){
        this.jLabel3 = jLabel3;
    }
    public JLabel getJLabel4(){
        return this.jLabel4;
    }
    public void setJLabel4(JLabel jLabel4){
        this.jLabel4 = jLabel4;
    }
    public JTextField getTfDomain(){
        return this.tfDomain;
    }
    public void setTfDomain(JTextField tfDomain){
        this.tfDomain = tfDomain;
    }
    public JTextField getTfLength(){
        return this.tfLength;
    }
    public void setTfLength(JTextField tfLength){
        this.tfLength = tfLength;
    }
    public java.util.List<javax.swing.JComponent> getAllFields(){
        return this.allFields;
    }
    public void setAllFields(java.util.List<javax.swing.JComponent> allFields){
        this.allFields = allFields;
    }
    public void setCbLetter(JCheckBox cbLetter){
        this.cbLetter = cbLetter;
    }
    public JCheckBox getCbLetter(){
        return this.cbLetter;
    }
    public void setCbNumber(JCheckBox cbNumber){
        this.cbNumber = cbNumber;
    }
    public JCheckBox getCbNumber(){
        return this.cbNumber;
    }
    public void setCbSpecial(JCheckBox cbSpecial){
        this.cbSpecial = cbSpecial;
    }
    public JCheckBox getCbSpecial(){
        return this.cbSpecial;
    }
    public void setCbUpper(JCheckBox cbUpper){
        this.cbUpper = cbUpper;
    }
    public JCheckBox getCbUpper(){
        return this.cbUpper;
    }
    public java.util.List<javax.swing.JComponent> getAllCb(){
        return this.allCb;
    }
    public void setAllCb(java.util.List<javax.swing.JComponent> allCb){
        this.allCb = allCb;
    }
}